Copy PageCreate pentest draftpost https://app.aikido.dev/api/public/v1/pentests/assessments/createDraftCreate a new draft pentest assessment. The project will be created if it doesn't exist.Body ParamsThe parameters needed to create a new draft pentest assessmentproject_namestringrequiredThe name of the pentest project. If the project doesn't exist, it will be created.domainsarray of stringsrequiredlength ≥ 1An array of domain URLs to include in the pentest assessment. Cannot be empty.domains* stringADD stringcustom_headersobjectA map of custom headers to include in the assessment. Must be of format {header_name: header_value, ...}custom_headers objectrepository_idsarray of integersOptional array of existing code repository IDs to include in the assessment.repository_idsADD integerrepository_download_urlstringURL to download a custom code repository. Must be provided together with 'repository_name'. If provided, 'repository_ids' should not be provided.repository_namestringName for the custom code repository. Must be provided together with 'repository_download_url'. If provided, 'repository_ids' should not be provided.additional_notesstringlength ≤ 2000Optional notes for the assessment, such as test accounts or behavior the code and documentation do not cover. Shown as additional notes in the draft.Responses 200The draft assessment has been successfully created 400One or more of the provided fields are invalid or missing.Updated about 1 month ago Get pentest assessmentGet attack analysisDid this page help you?YesNo